API reference OpenAPI 3.1
PATCH /screening-profiles/{id}

Update a profile (creates a new version)

Bearer API key or staff session application/json operation updateScreeningProfile

Parameters

NameInTypeRequiredDescription
id path string Yes —

Request

Content type: application/json · required

FieldTypeRequiredDescription
name string No —
status string No one of active, paused, archived
config object No —
curl -X PATCH "$MONICHEK_API/screening-profiles/{id}" \
  -H "Authorization: Bearer $MONICHEK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Ada Okafor",
  "status": "active",
  "config": {}
}'
const res = await fetch(`${MONICHEK_API}/screening-profiles/{id}`, {
  method: "PATCH",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "name": "Ada Okafor",
    "status": "active",
    "config": {}
  }),
});

const data = await res.json();
import os
import requests

res = requests.patch(
    f"{os.environ['MONICHEK_API']}/screening-profiles/{id}",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
    json={
      "name": "Ada Okafor",
      "status": "active",
      "config": {}
    },
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/screening-profiles/{id}');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'PATCH',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode([
        'name' => 'Ada Okafor',
        'status' => 'active',
        'config' => [],
    ]),
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Replace {id} with the resource id.

Responses

200 OK updated profile application/json

No response example is published for this status.

Error responses

StatusMeaningBody
403 Forbidden RFC 9457 problem
404 Not Found RFC 9457 problem
422 Unprocessable Entity RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.